//-----------------------------------------------------------------------------
// Title      : bsp_ub045_mk3_timer1
//-----------------------------------------------------------------------------
// Funktion   : Timer Test1
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 31.05.2012
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_TIMER.h>
#include <ub_mk3_2560/MK3_2560_LED.h>



//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-L muss gesetzt sein
// - benutzt Timer Funktion fuer Wartezeiten
// - LED-0 blinkt im 500ms Takt
//-----------------------------------------------------------------------------
int main (void)
{
    MK3_INIT_TIMER();				// init vom Timer
	MK3_INIT_LED();                 // Init der LEDs
	

    
    while (true)
    {
      MK3_LED_TOGGLE(LED0); // toggle LED Bit0
      MK3_WAIT_MS(500);     // warte 500 ms
    }
    return 0;
}
//-----------------------------------------------------------------------------
